#include<bits/stdc++.h>
using namespace std;
int main()  {
    int brVarrliLqvo, brVareliDqsno, natovareni;
    char vidVarelLqvo, vidVarelDqsno;
    bool otLqvoBenzin = false, otDqsnoBenzin = false;
    cin>>brVarrliLqvo>>vidVarelLqvo>>brVareliDqsno>>vidVarelDqsno>>natovareni;
    if(vidVarelLqvo == 'A'){
        otLqvoBenzin = true;
    }
    else
    {
        otDqsnoBenzin = true;
    }
    if(otLqvoBenzin){
        if(brVarrliLqvo > natovareni){
            cout<<natovareni;
        }
        else
        {
            if(brVarrliLqvo < natovareni){
                cout<<brVarrliLqvo;
            }
            else
            {
                cout<<natovareni;
            }
        }
    }
    if(otDqsnoBenzin){
        if(brVarrliLqvo > natovareni){
            cout<<"0";
        }
        else
        {
            if(brVarrliLqvo < natovareni){
                cout<<natovareni - brVarrliLqvo;
            }
            else
            {
                cout<<"0";
            }
        }
    }







    return 0;
}
